# Generated by Django 3.2.5 on 2022-01-20 15:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='StudentType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Время создания')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Время обновления')),
                ('name', models.CharField(blank=True, max_length=100, verbose_name='name')),
                ('sort_order', models.IntegerField(blank=True, verbose_name='number')),
                ('created_by', models.ForeignKey(blank=True, db_column='created_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_studenttypes', to=settings.AUTH_USER_MODEL, verbose_name='Создано пользоветем')),
                ('updated_by', models.ForeignKey(blank=True, db_column='updated_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_studenttypes', to=settings.AUTH_USER_MODEL, verbose_name='Обновлено пользоветем')),
            ],
            options={
                'verbose_name': 'StudentType',
                'verbose_name_plural': 'StudentTypes',
                'db_table': 'reference_student_types',
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='PayType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Время создания')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Время обновления')),
                ('name', models.CharField(blank=True, max_length=100, verbose_name='name')),
                ('sort_order', models.IntegerField(blank=True, verbose_name='number')),
                ('created_by', models.ForeignKey(blank=True, db_column='created_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_paytypes', to=settings.AUTH_USER_MODEL, verbose_name='Создано пользоветем')),
                ('updated_by', models.ForeignKey(blank=True, db_column='updated_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_paytypes', to=settings.AUTH_USER_MODEL, verbose_name='Обновлено пользоветем')),
            ],
            options={
                'verbose_name': 'PayType',
                'verbose_name_plural': 'PayTypes',
                'db_table': 'reference_pay_types',
                'ordering': ['sort_order'],
            },
        ),
        migrations.CreateModel(
            name='Education',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Время создания')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Время обновления')),
                ('name', models.CharField(blank=True, max_length=100, verbose_name='name')),
                ('sort_order', models.IntegerField(blank=True, verbose_name='number')),
                ('created_by', models.ForeignKey(blank=True, db_column='created_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_educations', to=settings.AUTH_USER_MODEL, verbose_name='Создано пользоветем')),
                ('updated_by', models.ForeignKey(blank=True, db_column='updated_by', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='updated_educations', to=settings.AUTH_USER_MODEL, verbose_name='Обновлено пользоветем')),
            ],
            options={
                'verbose_name': 'Education',
                'verbose_name_plural': 'Educations',
                'db_table': 'reference_educations',
                'ordering': ['sort_order'],
            },
        ),
    ]
